package cn.liujson.appupdatedemo;

import cn.liujson.appupdatedemo.bean.ApkUpdateInfoDetailResult;

/**
 * @author liujson
 * @date 2020/8/6.
 */
public interface AppUpdateView {
    /**
     * 检测更新失败
     * @param throwable
     */
    void onAppCheckUpdateFail(Throwable throwable);

    /**
     * 检查到不需要更新
     */
    void onAppNotRequiredUpdate();

    /**
     * 检查到app需要更新
     * @param detailResult
     */
    void onAppNeedUpdate(final ApkUpdateInfoDetailResult detailResult);


}
